chat/libpurple - The NetBSD Packages Collection

Plugin-based multi-protocol instant messaging library

An instant messaging backend for Windows, Linux, BSD, and other Unixes.

You can talk to your friends using Jabber/XMPP, Bonjour, Gadu-Gadu, IRC,
Novell GroupWise Messenger, Lotus Sametime, SILC, SIMPLE, and Zephyr.

This library requires a frontend to be useful, such as the graphical user
interface Pidgin, or the console interface Finch.

Build dependencies

sysutils/dbus-python-common pkgtools/cwrappers devel/glib2-tools devel/libtool-base textproc/intltool devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

security/gnutls sysutils/py-dbus devel/glib2 sysutils/dbus sysutils/dbus-glib chat/farstream multimedia/gstreamer1 multimedia/gst-plugins1-base devel/libidn textproc/libxml2 security/gnutls sysutils/py-dbus devel/glib2 sysutils/dbus-glib multimedia/gstreamer1 multimedia/gst-plugins1-base devel/libidn textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibpurple-2.14.1nb4.tgz
NetBSD 8.0earmv7hflibpurple-2.14.1nb2.tgz
NetBSD 8.0earmv7hflibpurple-2.14.1nb4.tgz
NetBSD 8.0i386libpurple-2.14.1nb2.tgz
NetBSD 8.0i386libpurple-2.14.1nb4.tgz
NetBSD 8.0i386libpurple-2.14.1nb4.tgz
NetBSD 8.0x86_64libpurple-2.14.1nb4.tgz
NetBSD 8.0x86_64libpurple-2.14.1nb2.tgz
NetBSD 8.0x86_64libpurple-2.14.1nb4.tgz
NetBSD 9.0aarch64libpurple-2.14.1nb2.tgz
NetBSD 9.0aarch64libpurple-2.14.1nb4.tgz
NetBSD 9.0alphalibpurple-2.14.1nb4.tgz
NetBSD 9.0alphalibpurple-2.14.1nb2.tgz
NetBSD 9.0alphalibpurple-2.14.1nb4.tgz
NetBSD 9.0earmlibpurple-2.14.1nb2.tgz
NetBSD 9.0earmlibpurple-2.14.1nb4.tgz
NetBSD 9.0earmv6hflibpurple-2.14.1nb4.tgz
NetBSD 9.0earmv6hflibpurple-2.14.1nb2.tgz
NetBSD 9.0earmv6hflibpurple-2.14.1nb4.tgz
NetBSD 9.0earmv6hflibpurple-2.14.1nb4.tgz
NetBSD 9.0earmv7hflibpurple-2.14.1nb4.tgz
NetBSD 9.0earmv7hflibpurple-2.14.1nb2.tgz
NetBSD 9.0earmv7hflibpurple-2.14.1nb4.tgz
NetBSD 9.0earmv7hflibpurple-2.14.1nb4.tgz
NetBSD 9.0earmv7hflibpurple-2.14.1nb4.tgz
NetBSD 9.0i386libpurple-2.14.1nb2.tgz
NetBSD 9.0i386libpurple-2.14.1nb4.tgz
NetBSD 9.0i386libpurple-2.14.1nb4.tgz
NetBSD 9.0mips64eblibpurple-2.14.1nb4.tgz
NetBSD 9.0mips64eblibpurple-2.14.1nb4.tgz
NetBSD 9.0sparc64libpurple-2.14.1nb4.tgz
NetBSD 9.0sparc64libpurple-2.14.1.tgz
NetBSD 9.0sparc64libpurple-2.14.1nb2.tgz
NetBSD 9.0sparc64libpurple-2.14.1nb4.tgz
NetBSD 9.0x86_64libpurple-2.14.1nb3.tgz
NetBSD 9.0x86_64libpurple-2.14.1nb4.tgz
NetBSD 9.0x86_64libpurple-2.14.1nb4.tgz
NetBSD 9.0x86_64libpurple-2.14.1nb4.tgz
NetBSD 9.0x86_64libpurple-2.14.1nb2.tgz
NetBSD 9.0x86_64libpurple-2.14.1nb4.tgz
NetBSD 9.0x86_64libpurple-2.14.1nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

avahi
Enable DNS service discovery and multicast DNS support.
dbus
Enable dbus (desktop bus) support.
debug
Enable debugging facilities in the package.
farstream
Enable farstream support.
gstreamer
Enable gstreamer support.
perl
Enable Perl support.
sasl
Enable SASL support.
tcl
Enable Tcl scripting support.
gnutls
Enable GNU TLS support.
nss
Enable Network Security Services (NSS) support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.